1

I upgraded a site to EE 2.8.1 and updated to the latest Field Pack and noticed the EE Control Panel really buggy and slow and have found errors in the log files from the server:

PHP Fatal error: require() [function.require]: Failed opening required '/home/.../public_html/sys/expressionengine/third_party/pt_field_pack/pt_fieldtype.php' (include_path='.:/opt/alt/php53/usr/share/pear:/opt/alt/php53/usr/share/php') in /home/abwac1/public_html/systm/expressionengine/third_party/_pt_dropdown/ft.pt_dropdown.php on line 6

PHP Fatal error: Class PT_Fieldtype contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (EE_Fieldtype::display_field) in Unknown on line 0

PHP Fatal error: require_once() [function.require]: Failed opening required '/home/.../public_html/sys/expressionengine/third_party/pt_switch/config.php' (include_path='.:/opt/alt/php53/usr/share/pear:/opt/alt/php53/usr/share/php') in /home/.../public_html/sys/expressionengine/third_party/_pt_switch/ft.pt_switch.php on line 4

PHP Fatal error: Class 'Matrix_ft' not found in /home/.../public_html/sys/expressionengine/libraries/api/Api_channel_fields.php on line 365

Anyone else getting something similar? would love to know of a fix or if this has been reported and ready for updating.

1

You'll want to upgrade Fieldpack to 2.1.1 (make sure to read installation notes!)

0

I removed the associated files from the MySQL database manually and deleted files from the server completely. Reinstalled Fieldpack fresh and it worked again.

Be sure to remove both System and Themes files beforehand.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.